<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-title>My Profile</ion-title>
        <ion-buttons slot="end">
            <ion-button (click)="navigateToEdit()">
                <ion-icon style="color: white;" name="create"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
    <div class="background-holder"></div>
    <div class="top-card ion-text-center ion-padding-vertical">
        <div class="img-holder">
            <ion-avatar>
                <img [src]="myData?.avatarUrl" alt="">
            </ion-avatar>

        </div>
        <div class="details">
            <h5>{{myData?.name}}<span></span> </h5>
            <p>{{myData?.email}}</p>
        </div>
        <div class="ion-padding-horiozntal">
            <div class="badge-holder">
                <div class="progress ion-padding">
                    <ion-row>
                        <ion-col class="ion-text-left">
                            <ion-label>Remaining Views</ion-label>
                        </ion-col>
                        <ion-col class="ion-text-right">
                            <ion-label>{{myData?.availableViewCredits}}</ion-label>
                        </ion-col>
                    </ion-row>
                    <ion-progress-bar [value]="myData?.availableViewCredits/myData?.package?.maxViewCount"></ion-progress-bar>
                </div>
            </div>
        </div>
    </div>

    <div class="bottom-section ion-padding">
        <div class="general">
            <h5>Telephone</h5>
            <div class="gen-list">
                <ion-item lines="none">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/hospital.svg" height="45px" alt="">
                    </div>
                    <ion-label>
                        <h2>{{myData?.mobileNumber}}</h2>
                        <p>Extra: {{myData?.extraMobileNo}}</p>
                    </ion-label>
                </ion-item>
            </div>
        </div>

        <div class="chart">
            <h5>Current Hospital</h5>
            <div class="chart-list">
                <ion-item lines="none">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/chartsmall.svg" alt="">
                    </div>
                    <ion-label>
                        <h2>{{myData?.currentHospital?.name}}</h2>
                        <p>{{getDistrictName(myData?.currentHospital?.district)}}</p>
                    </ion-label>
                </ion-item>
            </div>
        </div>

        <div class="chart">
            <h5>Expected Hospital(s)</h5>
            <div class="chart-list">
                <ion-item *ngFor="let hospital of myData?.nurseExpectingHospitalList" lines="none" class="bottom-margin">
                    <div class="thumb" slot="start">
                        <img src="assets/imgs/chartsmall.svg" alt="">
                    </div>
                    <ion-label>
                        <h2>{{hospital?.hospitalName}}</h2>
                        <p>{{getDistrictName(hospital?.district)}}</p>
                    </ion-label>
                </ion-item>
            </div>
        </div>
    </div>
</ion-content>